summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-09-27 19:19:57 +0000
committerMichał Górny <mgorny@gentoo.org>2013-09-27 19:19:57 +0000
commit5191cc3e2d3e2758a38f62b47de01463b83b22c5 (patch)
tree3cd602c3ab7f3c758c5c33ee8a7d612fe7448ef5 /eclass
parentLinux patches 3.0.97, 3.4.63, 3.10.13 and 3.11.2. (diff)
downloadgentoo-2-5191cc3e2d3e2758a38f62b47de01463b83b22c5.tar.gz
gentoo-2-5191cc3e2d3e2758a38f62b47de01463b83b22c5.tar.bz2
gentoo-2-5191cc3e2d3e2758a38f62b47de01463b83b22c5.zip
Make HOME per-implementation.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/distutils-r1.eclass7
2 files changed, 8 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index f462c685b386..033c6e020d0c 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.992 2013/09/27 16:22:28 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.993 2013/09/27 19:19:57 mgorny Exp $
+
+ 27 Sep 2013; Michał Górny <mgorny@gentoo.org> distutils-r1.eclass:
+ Make HOME per-implementation.
27 Sep 2013; Michał Górny <mgorny@gentoo.org> git-r3.eclass:
Always fetch all branches when doing non-shallow fetch.
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 803a685fbbbd..88344350ce12 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.83 2013/09/26 11:58:41 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.84 2013/09/27 19:19:57 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -547,9 +547,10 @@ distutils-r1_run_phase() {
fi
local -x PYTHONPATH="${BUILD_DIR}/lib:${PYTHONPATH}"
- local TMPDIR=${T}/${EPYTHON}
+ local -x TMPDIR=${T}/${EPYTHON}
+ local -x HOME=${TMPDIR}/home
- mkdir -p "${TMPDIR}" || die
+ mkdir -p "${TMPDIR}" "${HOME}" || die
"${@}"